MoneyWorks blog

Mountain Lion Compatibility

MoneyWorks 6.1.1 and later are compatible with Mountain Lion (Mac OS X 10.8). Earlier versions of MoneyWorks 6 (and MoneyWorks 5) may or may not work on Mountain Lion. MoneyWorks 4 and earlier are not compatible, as they require the … Continue reading

Posted in Uncategorized | Comments Off on Mountain Lion Compatibility